<template>
	<NodeBasicLayout
		v-model:title="data.title"
		:type="NodeType.End"
		
		:showOffset="false"
		:description="VueFlowHelper.getConfigValue(data, 'description', '工作流运行到此结束。')"
	>
		<Handle :id="handleId" type="target"  :position="Position.Left" />
	</NodeBasicLayout>
</template>

<script lang="ts" setup>
import type { NodeProps } from '@vue-flow/core';
import { Handle, Position, useNode, useVueFlow } from '@vue-flow/core';
import { ref } from 'vue';
import { VueFlowHelper } from '../../VueFlowHelper';
import { NodeType } from '../../vueFlowEnum';

import { LLMNodeData, LLMNodeEvents } from './index';
import NodeBasicLayout from './components/NodeBasicLayout.vue';
defineProps<NodeProps<LLMNodeData, LLMNodeEvents>>();

const node = useNode();
const handleId = ref(VueFlowHelper.getHandleId(node.node, 'target'));

const data = ref(node.node.data);
</script>
